#include <stdio.h>
#include <string.h>

struct bla
{
  int a;
  char ch[255];
  int b;
};

int func(struct bla);

int main() {

   struct bla blabla;

  blabla.a = 1234;

  strcpy(blabla.ch, "hello");

  blabla.b = 4321;
  
  func(blabla);

  //  printf("%s\n", blabla.ch ); 
  
}

int func(struct bla data){
  
  

  printf("%d\n", data.a);
  printf("%s\n", data.ch);
  printf("%d\n", data.b);
}


